Bug 1344615 (CVE-2016-4303) - CVE-2016-4303 iperf3: JSON parsing vulnerability
Summary: CVE-2016-4303 iperf3: JSON parsing vulnerability
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-4303
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1344616 1344617
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-10 07:45 UTC by Andrej Nemec
Modified: 2021-02-17 03:43 UTC (History)
4 users (show)

Fixed In Version: iperf3 3.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:54:49 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-06-10 07:45:18 UTC
A bug exists in the way that the included version of the cjson library
handles Unicode literals in JSON string constants.  A malformed
Unicode literal can cause a process parsing a block of JSON to
overwrite a pre-allocated buffer in the heap.  Note that this bug has
already been fixed in recent versions of cjson.

A malicious process can connect to an iperf3 server and, by sending a
malformed message on the control channel, corrupt the server process's
heap area.  This can lead to a crash (and a denial of service), or
theoretically a remote code execution as the user running the iperf3
server.  A malicious iperf3 server could potentially mount a similar
attack on an iperf3 client.

External references:

https://raw.githubusercontent.com/esnet/security/master/cve-2016-4303/esnet-secadv-2016-0001.txt.asc

Comment 1 Andrej Nemec 2016-06-10 07:45:57 UTC
Created iperf3 tracking bugs for this issue:

Affects: fedora-all [bug 1344616]
Affects: epel-all [bug 1344617]

Comment 2 Fedora Update System 2016-06-18 04:24:39 UTC
iperf3-3.1.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-06-18 18:37:08 UTC
iperf3-3.1.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-24 21:17:02 UTC
iperf3-3.1.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-24 21:19:11 UTC
iperf3-3.0.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:54:49 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.